MyGUI::SkinItem Class Reference

`#include <MyGUI_SkinItem.h>`

Inheritance diagram for MyGUI::SkinItem:
[legend]

## Public Member Functions

ISubWidgetText * | getSubWidgetText () const
ISubWidgetRect * | getSubWidgetMain () const
void | _setTextureName (std::string_view _texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
void | attachItemToNode (ILayer *_layer, ILayerNode *_node) override
void | detachFromLayer () override
void | upLayerItem () override
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()=default
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const =0
virtual const IntCoord & | getLayerItemCoord () const =0
virtual void | resizeLayerItemView (const IntSize &_oldView, const IntSize &_newView)=0

## Protected Member Functions

void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (std::string_view _state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_item, bool _deep)
void | detachFromLayerItemNode (bool _deep)

## Detailed Description

Definition at line 19 of file MyGUI_SkinItem.h.

## Member Function Documentation

## _correctSkinItemView()

void MyGUI::SkinItem::_correctSkinItemView | ( |  | ) |

protected

Definition at line 45 of file MyGUI_SkinItem.cpp.

## _createSkinItem()

void MyGUI::SkinItem::_createSkinItem | ( | ResourceSkin * | _info | ) |

protected

Definition at line 73 of file MyGUI_SkinItem.cpp.

## _deleteSkinItem()

void MyGUI::SkinItem::_deleteSkinItem | ( |  | ) |

protected

Definition at line 110 of file MyGUI_SkinItem.cpp.

## _getTextureName()

const std::string & MyGUI::SkinItem::_getTextureName | ( |  | ) | const

Definition at line 134 of file MyGUI_SkinItem.cpp.

## _setSkinItemAlign()

void MyGUI::SkinItem::_setSkinItemAlign | ( | const IntSize & | _size | ) |

protected

Definition at line 17 of file MyGUI_SkinItem.cpp.

## _setSkinItemAlpha()

void MyGUI::SkinItem::_setSkinItemAlpha | ( | float | _value | ) |

protected

Definition at line 39 of file MyGUI_SkinItem.cpp.

## _setSkinItemColour()

void MyGUI::SkinItem::_setSkinItemColour | ( | const Colour & | _value | ) |

protected

Definition at line 29 of file MyGUI_SkinItem.cpp.

## _setSkinItemState()

bool MyGUI::SkinItem::_setSkinItemState | ( | std::string_view | _state | ) |

protected

Definition at line 57 of file MyGUI_SkinItem.cpp.

## _setSkinItemVisible()

void MyGUI::SkinItem::_setSkinItemVisible | ( | bool | _value | ) |

protected

Definition at line 23 of file MyGUI_SkinItem.cpp.

## _setSubSkinVisible()

void MyGUI::SkinItem::_setSubSkinVisible | ( | bool | _visible | ) |

protected

Definition at line 139 of file MyGUI_SkinItem.cpp.

## _setTextureName()

void MyGUI::SkinItem::_setTextureName | ( | std::string_view | _texture | ) |

Definition at line 126 of file MyGUI_SkinItem.cpp.

## _updateSkinItemView()

void MyGUI::SkinItem::_updateSkinItemView | ( |  | ) |

protected

Definition at line 51 of file MyGUI_SkinItem.cpp.

## getSubWidgetMain()

ISubWidgetRect * MyGUI::SkinItem::getSubWidgetMain | ( |  | ) | const

Get sub widget of first texture or nullptr if no sub widget with texture

Definition at line 153 of file MyGUI_SkinItem.cpp.

## getSubWidgetText()

ISubWidgetText * MyGUI::SkinItem::getSubWidgetText | ( |  | ) | const

Get text sub widget or nullptr if no text sub widget

Definition at line 148 of file MyGUI_SkinItem.cpp.

The documentation for this class was generated from the following files:

- MyGUI_SkinItem.h
- MyGUI_SkinItem.cpp